Crash when updating to 1.7.0.16 (Full Version)

All Forums >> [New Releases from Matrix Games] >> Distant Worlds Series >> Tech Support



Message


TheGrouch91 -> Crash when updating to 1.7.0.16 (12/25/2012 10:58:03 AM)

Hey.

Whenever i start a new game i get the following error message (picture). The problem occured first when i updated Legends to the newest version. The message appears several times and you can skip them by clicking ok. But eventually (at the other empires screen afair) you reach an impasse because the message just pops up over and over again no matter how many times you click ok. I did use mods so i thought maybe i broke something but reinstalling the whole game (without any mods) didnt help. Version 1.7.0.00 works just fine but once i update it the error occurs. I also updated to the 1.7.0.17 beta version as you can see on the pic but it obviously didnt help.

One weird thing is, that i did start a few games. So it did work at some point. But i didnt change anything and it stopped working all of a sudden. And now after reinstalling without changing anything but updating to the newest version it still doesnt work.

I have the german DW version while ROTS and Legends are the english versions if that can cause any problems. But i dont know, the older version worked just fine.

I also tested a bit and the quickstart does work. The game starts and it doesnt crash at any point. (at least in the first 45 min) So i guess its a problem with the game options menues?

Thats all i know so far. Help would be really appreciated. Quickstart is too random for my taste.

Oh, and merry christmas!







Buio -> RE: Crash when updating to 1.7.0.16 (12/25/2012 11:52:40 AM)

Regarding the German version, if you have registered your license keys at
http://matrixgames.com/members/
can't you download the game from the "My Orders" there? But maybe they don't allow for boxed purchases to be downloaded digitally and maybe the serial number is also locked to localized version. Even so it might not be the problem either.

As it seems to be an error message, you might not get a crashdump. But it doesn't hurt to check the Code Force-folder (where settings and saved games are). To find it, use Win+R hotkey and type; %appdata% and click ok. Should get you to the Roaming folder under your own local user, and there you can see "Code Force Limited". In the folder "Distant Worlds\1.7.0.17" you can find settings and maybe DW_CrashDump.txt.

You could also try and remove files inside the folder "1.7.0.17" as they should be created again when the game starts (the settings files). Keep the original files, if you get any other problems restore them. If you have any saved games they are in the SavedGames folder.




TheGrouch91 -> RE: Crash when updating to 1.7.0.16 (12/25/2012 12:38:23 PM)

Thanks for the quick response! I couldnt find any crashdump folder since the game doesnt rly crash you just end up in an endless error message chain and you have to quit the game. I also cant download the german version of DW. The english versions of ROTS and Legedns are available but i still have the (downloaded) setup datas here and thats what i used to reinstall.

Your 3rd point however made sense because i had the feeling that the newer version doesnt support some of the saved settings. I could see that there were empires and their options selected. So i deleted the saved options as you suggested and it worked!

While that is great for me i think its still a problem because it might happen again since i still dont know how that happened. But anyway, thanks for the help!




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
0.015625